rm(list=ls(all=TRUE))
#setwd("C:\Users\wujen\Dropbox (Personal)\S_WuHuber\RATasks\archives to check\.To Publish\51 Public Files")
library(foreign)
library(ggplot2)

# Number of times voted previously

nv <- read.dta("Data/MS_Estimates_ByNPV.dta")
names(nv) <- ifelse(names(nv) == "pv", "nv", names(nv))

nv_pos <- nv[,c("b_pos", "se_pos", "nv")]
nv_neg <- nv[,c("b_neg", "se_neg", "nv")]
names(nv_neg) <- names(nv_pos) <- c("b","se","nv")
nv_pos$Treatment <- "Positive norm"
nv_neg$Treatment <- "Negative norm"
nv2 <- rbind(nv_pos, nv_neg)

nv2$lci <- with(nv2, b-1.96*se)
nv2$uci <- with(nv2, b+1.96*se)

nv$diff_label <- ifelse(nv$nv == 1,
                        paste0("Voted in\n", nv$nv ," prior\nelection\n\ndiff=",round(nv$b_diff,3),"\n(se=",round(nv$se_diff,3),")"),
                        paste0("Voted in\n", nv$nv ," prior\nelections\n\ndiff=",round(nv$b_diff,3),"\n(se=",round(nv$se_diff,3),")"))

pos_spec <- position_dodge(.25)

ggplot(nv2, aes(x=nv, y=b, group=Treatment, colour=Treatment, shape=Treatment)) + 
  geom_point(size=2, position=pos_spec) + 
  geom_errorbar(data=nv2, aes(x=nv, ymin=lci, ymax=uci), width=.1, position=pos_spec) +
  coord_cartesian(ylim=c(-.1, .2)) +
  scale_shape_discrete(solid=T) +
  annotate("text", x=nv$nv, y=.15, label=nv$diff_label, size=3.5) +
  scale_x_continuous(breaks=seq(0,4,1), labels=c("", 1:3, "")) +
  xlab("Number of times the subject voted in prior elections") +
  ylab("Estimated treatment effect (versus control)") +
  theme_bw()

ggsave("Figures/FigureA2.pdf", width=12, height=5)


